Package org.eclipse.microprofile.lra.tck.participant.api

# Class IllegalLRAStateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jakarta.ws.rs.WebApplicationException
org.eclipse.microprofile.lra.tck.participant.api.IllegalLRAStateException

All Implemented Interfaces:
  `Serializable`

public class IllegalLRAStateException extends jakarta.ws.rs.WebApplicationException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalLRAStateException(URI lraId, String message)`
Creation of LRA state exception.

## Method Summary

Modifier and Type
Method
Description
`URI`
`getLraId()`

### Methods inherited from class jakarta.ws.rs.WebApplicationException

`getResponse`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalLRAStateException

public IllegalLRAStateException(URI lraId, String message)
Creation of LRA state exception.

Parameters:
  `lraId` - LRA id that is behind this exception
  `message` - error message of this exception

## Method Details

### getLraId

public URI getLraId()